Bug 214132 - NFS related kernel BUG
NFS related kernel BUG
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Martin Jenner
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-05 21:43 EST by Sean E. Millichamp
Modified: 2008-02-07 23:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:27:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean E. Millichamp 2006-11-05 21:43:59 EST
Description of problem:

When using NFS with the cachefilesd backend for cachefs (against a fully patched
CentOS 4.4 server), I got this:

Nov  5 21:08:32 goauld kernel: ----------- [cut here ] --------- [please bite
here ] ---------
Nov  5 21:08:32 goauld kernel: Kernel BUG at fs/nfs/fscache.h:213
Nov  5 21:08:32 goauld kernel: invalid opcode: 0000 [1] SMP 
Nov  5 21:08:32 goauld kernel: last sysfs file: /class/net/eth0/carrier
Nov  5 21:08:32 goauld kernel: CPU 0 
Nov  5 21:08:32 goauld kernel: Modules linked in: nfs lockd nfs_acl autofs4 hidp
rfcomm l2cap bluetooth su
nrpc cachefiles fscache dm_multipath video sbs i2c_ec button battery asus_acpi
ac radeon drm ipv6 parport_
pc lp parport snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_dev
ice floppy snd_pcm_oss ide_cd sg snd_mixer_oss i2c_i801 i2c_core cdrom snd_pcm
shpchp snd_timer snd soundc
ore snd_page_alloc sky2 serio_raw r8169 ohci1394 ieee1394 dm_snapshot dm_zero
dm_mirror dm_mod sata_sil24 
ahci libata sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Nov  5 21:08:32 goauld kernel: Pid: 3696, comm: evolution Not tainted
2.6.18-1.2798.fc6 #1
Nov  5 21:08:32 goauld kernel: RIP: 0010:[<ffffffff885cf7dc>] 
[<ffffffff885cf7dc>] :nfs:nfs_fscache_relea
se_page+0x1e/0x5e
Nov  5 21:08:32 goauld kernel: RSP: 0018:ffff810049941c88  EFLAGS: 00010246
Nov  5 21:08:32 goauld kernel: RAX: ffff810051608da8 RBX: ffff8100022d33c0 RCX:
0000000000000001
Nov  5 21:08:32 goauld kernel: RDX: 0000000000000000 RSI: ffff810049941c58 RDI:
ffff8100022d33c0
Nov  5 21:08:32 goauld kernel: RBP: ffff810051608c50 R08: 0000000000000001 R09:
ffff810049941ca8
Nov  5 21:08:32 goauld kernel: R10: 0000000000000000 R11: ffffffff885cf81c R12:
ffff810051608da8
Nov  5 21:08:32 goauld kernel: R13: 0000000000000000 R14: 0000000000000000 R15:
0000000000000001
Nov  5 21:08:32 goauld kernel: FS:  00002aaaacd29340(0000)
GS:ffffffff80609000(0000) knlGS:000000000000000
0
Nov  5 21:08:32 goauld kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Nov  5 21:08:32 goauld kernel: CR2: 0000000001800d0f CR3: 0000000048d01000 CR4:
00000000000006e0
Nov  5 21:08:32 goauld kernel: Process evolution (pid: 3696, threadinfo
ffff810049940000, task ffff810078a
b8040)
Nov  5 21:08:32 goauld kernel: Stack:  0000000000000000 ffff8100022d33c0
0000000000000000 ffffffff885cf859
Nov  5 21:08:32 goauld kernel:  0000000000000000 ffff8100022d33c0
0000000000000000 ffffffff802bdf20
Nov  5 21:08:32 goauld kernel:  0000000000000000 ffffffffffffffff
0000000049941d18 0000000000000000
Nov  5 21:08:32 goauld kernel: Call Trace:
Nov  5 21:08:32 goauld kernel:  [<ffffffff885cf859>] :nfs:nfs_release_page+0x3d/0x4d
Nov  5 21:08:32 goauld kernel:  [<ffffffff802bdf20>]
invalidate_inode_pages2_range+0x13a/0x234
Nov  5 21:08:32 goauld kernel:  [<ffffffff885d1eeb>]
:nfs:nfs_revalidate_mapping+0xb3/0x1b4
Nov  5 21:08:32 goauld kernel:  [<ffffffff885cff02>] :nfs:nfs_file_read+0x45/0x97
Nov  5 21:08:32 goauld kernel:  [<ffffffff8020ca3c>] do_sync_read+0xc7/0x104
Nov  5 21:08:32 goauld kernel:  [<ffffffff8020b1ba>] vfs_read+0xcb/0x171
Nov  5 21:08:32 goauld kernel:  [<ffffffff8021151b>] sys_read+0x45/0x6e
Nov  5 21:08:32 goauld kernel:  [<ffffffff8025c00e>] system_call+0x7e/0x83
Nov  5 21:08:32 goauld kernel: DWARF2 unwinder stuck at system_call+0x7e/0x83
Nov  5 21:08:32 goauld kernel: Leftover inexact backtrace:
Nov  5 21:08:32 goauld kernel: 
Nov  5 21:08:32 goauld kernel: 
Nov  5 21:08:32 goauld kernel: Code: 0f 0b 68 70 10 5f 88 c2 d5 00 8b 03 f6 c4
01 74 0d be 08 00 
Nov  5 21:08:32 goauld kernel: RIP  [<ffffffff885cf7dc>]
:nfs:nfs_fscache_release_page+0x1e/0x5e
Nov  5 21:08:32 goauld kernel:  RSP <ffff810049941c88>

The system the error occurred on is a dual-core Pentium M.  Shortly before the
kernel BUG I got an SMP related kernel opcode error.  Unfortunately, I don't
have a record of the exact error.

Version-Release number of selected component (if applicable):
# rpm -q kernel
kernel-2.6.18-1.2798.fc6

How reproducible:
This is the first one I've encountered.
Comment 1 Sean E. Millichamp 2006-11-06 07:59:18 EST
Okay, it is reproducable :/.  I don't know how consistently, but 2 in less then
12 hours (most of which I spent sleeping) counts in my book:

Nov  6 07:54:47 goauld kernel: ----------- [cut here ] --------- [please bite
here ] ---------
Nov  6 07:54:47 goauld kernel: Kernel BUG at fs/nfs/fscache.h:213
Nov  6 07:54:47 goauld kernel: invalid opcode: 0000 [1] SMP 
Nov  6 07:54:47 goauld kernel: last sysfs file: /class/net/eth0/carrier
Nov  6 07:54:47 goauld kernel: CPU 0 
Nov  6 07:54:47 goauld kernel: Modules linked in: nls_utf8 hfsplus nfs lockd
nfs_acl autofs4 hidp rfcomm l2
cap bluetooth sunrpc cachefiles fscache dm_multipath video sbs i2c_ec button
battery asus_acpi ac radeon dr
m ipv6 parport_pc lp parport snd_hda_intel snd_hda_codec snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_s
eq snd_seq_device snd_pcm_oss ohci1394 snd_mixer_oss sg ieee1394 serio_raw
floppy shpchp r8169 ide_cd snd_p
cm snd_timer snd soundcore snd_page_alloc i2c_i801 i2c_core sky2 cdrom
dm_snapshot dm_zero dm_mirror dm_mod
 sata_sil24 ahci libata sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Nov  6 07:54:47 goauld kernel: Pid: 7145, comm: gaim Not tainted
2.6.18-1.2798.fc6 #1
Nov  6 07:54:47 goauld kernel: RIP: 0010:[<ffffffff885d07dc>] 
[<ffffffff885d07dc>] :nfs:nfs_fscache_releas
e_page+0x1e/0x5e
Nov  6 07:54:47 goauld kernel: RSP: 0018:ffff8100371f1c88  EFLAGS: 00010246
Nov  6 07:54:47 goauld kernel: RAX: ffff810069b1fda8 RBX: ffff810002b6cac0 RCX:
0000000000000001
Nov  6 07:54:47 goauld kernel: RDX: 0000000000000000 RSI: ffff8100371f1c58 RDI:
ffff810002b6cac0
Nov  6 07:54:47 goauld kernel: RBP: ffff810069b1fc50 R08: 0000000000000001 R09:
ffff8100371f1ca8
Nov  6 07:54:47 goauld kernel: R10: 0000000000000000 R11: ffffffff885d081c R12:
ffff810069b1fda8
Nov  6 07:54:47 goauld kernel: R13: 0000000000000000 R14: 0000000000000000 R15:
0000000000000001
Nov  6 07:54:47 goauld kernel: FS:  00002aaaaaadcfb0(0000)
GS:ffffffff80609000(0000) knlGS:0000000000000000
Nov  6 07:54:47 goauld kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Nov  6 07:54:47 goauld kernel: CR2: 00002aaac96da000 CR3: 0000000036d84000 CR4:
00000000000006e0
Nov  6 07:54:47 goauld kernel: Process gaim (pid: 7145, threadinfo
ffff8100371f0000, task ffff81006520c810)
Nov  6 07:54:47 goauld kernel: Stack:  0000000000000000 ffff810002b6cac0
0000000000000000 ffffffff885d0859
Nov  6 07:54:47 goauld kernel:  0000000000000000 ffff810002b6cac0
0000000000000000 ffffffff802bdf20
Nov  6 07:54:47 goauld kernel:  0000000000000000 ffffffffffffffff
00000000371f1d18 0000000000000000
Nov  6 07:54:47 goauld kernel: Call Trace:
Nov  6 07:54:47 goauld kernel:  [<ffffffff885d0859>] :nfs:nfs_release_page+0x3d/0x4d
Nov  6 07:54:47 goauld kernel:  [<ffffffff802bdf20>]
invalidate_inode_pages2_range+0x13a/0x234
Nov  6 07:54:47 goauld kernel:  [<ffffffff885d2eeb>]
:nfs:nfs_revalidate_mapping+0xb3/0x1b4
Nov  6 07:54:47 goauld kernel:  [<ffffffff885d0f02>] :nfs:nfs_file_read+0x45/0x97
Nov  6 07:54:47 goauld kernel:  [<ffffffff8020ca3c>] do_sync_read+0xc7/0x104
Nov  6 07:54:47 goauld kernel:  [<ffffffff8020b1ba>] vfs_read+0xcb/0x171
Nov  6 07:54:47 goauld kernel:  [<ffffffff8021151b>] sys_read+0x45/0x6e
Nov  6 07:54:47 goauld kernel:  [<ffffffff8025c00e>] system_call+0x7e/0x83
Nov  6 07:54:47 goauld kernel: DWARF2 unwinder stuck at system_call+0x7e/0x83
Nov  6 07:54:47 goauld kernel: Leftover inexact backtrace:
Nov  6 07:54:47 goauld kernel: 
Nov  6 07:54:47 goauld kernel: 
Nov  6 07:54:47 goauld kernel: Code: 0f 0b 68 70 20 5f 88 c2 d5 00 8b 03 f6 c4
01 74 0d be 08 00 
Nov  6 07:54:47 goauld kernel: RIP  [<ffffffff885d07dc>]
:nfs:nfs_fscache_release_page+0x1e/0x5e
Nov  6 07:54:47 goauld kernel:  RSP <ffff8100371f1c88>

Each time I had just finished some extended heavy NFS use (NFS mounted homedirs).
Comment 2 Sean E. Millichamp 2006-12-10 12:24:15 EST
Still occurring with the latest kernel.  At the time of the crash I was editing
some files over my NFS mounted homedir in vim and playing Oggs in Rhythmbox over
NFS.

Dec 10 12:12:21 goauld kernel: ----------- [cut here ] --------- [please bite
here ] ---------
Dec 10 12:12:21 goauld kernel: Kernel BUG at fs/cachefiles/cf-namei.c:48
Dec 10 12:12:21 goauld kernel: invalid opcode: 0000 [1] SMP 
Dec 10 12:12:21 goauld kernel: last sysfs file: /class/net/eth0/carrier
Dec 10 12:12:21 goauld kernel: CPU 0 
Dec 10 12:12:21 goauld kernel: Modules linked in: vfat fat usb_storage ppdev tun
nfs lockd nfs_acl bridge netloop netbk blktap blkbk autofs4 hidp rfcom
m l2cap bluetooth sunrpc cachefiles fscache dm_multipath video sbs i2c_ec button
battery asus_acpi ac radeon drm ipv6 parport_pc lp parport sg floppy s
nd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss i2c_i801 snd_pcm i2c_core shpc
hp snd_timer snd ide_cd soundcore sky2 serio_raw ohci1394 ieee1394
snd_page_alloc r8169 cdrom dm_snapshot dm_zero dm_mirror dm_mod sata_sil24 ahci liba
ta sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Dec 10 12:12:21 goauld kernel: Pid: 9611, comm: beagled Not tainted
2.6.18-1.2849.fc6xen #1
Dec 10 12:12:21 goauld kernel: RIP: e030:[<ffffffff884b79d0>] 
[<ffffffff884b79d0>] :cachefiles:cachefiles_walk_to_object+0x837/0xb13
Dec 10 12:12:21 goauld kernel: RSP: e02b:ffff88005903f968  EFLAGS: 00010246
Dec 10 12:12:21 goauld kernel: RAX: ffff8800103f8718 RBX: 0000000000000000 RCX:
ffff8800103f8718
Dec 10 12:12:21 goauld kernel: RDX: ffff880067bbfe28 RSI: ffff88003abfe330 RDI:
ffff8800721b3ed0
Dec 10 12:12:21 goauld kernel: RBP: ffff88003abfe330 R08: ffff88001abf9d90 R09:
ffff880050848000
Dec 10 12:12:21 goauld kernel: R10: ffff88000998d9d0 R11: ffff88001c6fc470 R12:
ffff88003abfe330
Dec 10 12:12:21 goauld kernel: R13: ffff88004ba9e418 R14: ffff8800721b3e00 R15:
ffff880024be0100
Dec 10 12:12:21 goauld kernel: FS:  00002aaaaaad0a80(0063)
GS:ffffffff80593000(0000) knlGS:0000000000000000
Dec 10 12:12:21 goauld kernel: CS:  e033 DS: 0000 ES: 0000
Dec 10 12:12:21 goauld kernel: Process beagled (pid: 9611, threadinfo
ffff88005903e000, task ffff88000ba65040)
Dec 10 12:12:21 goauld kernel: Stack:  ffff880050848000  ffff880050848000 
0000000000000000  000001f7000001f7 
Dec 10 12:12:21 goauld kernel:  0000002141c8142c  ffff880074636f44 
00000000442840ce  0000000000000028 
Dec 10 12:12:21 goauld kernel:  ffff880050848000  ffff880024be0100 
Dec 10 12:12:21 goauld kernel: Call Trace:
Dec 10 12:12:21 goauld kernel:  [<ffffffff884b4352>]
:cachefiles:cachefiles_lookup_object+0x226/0x326
Dec 10 12:12:21 goauld kernel:  [<ffffffff884a52f0>]
:fscache:fscache_lookup_object+0xf8/0x19a
Dec 10 12:12:21 goauld kernel:  [<ffffffff884a5b7e>]
:fscache:__fscache_acquire_cookie+0x1ac/0x204
Dec 10 12:12:21 goauld kernel:  [<ffffffff88654d6a>] :nfs:nfs_fhget+0x323/0x3ea
Dec 10 12:12:21 goauld kernel:  [<ffffffff88650a48>] :nfs:nfs_lookup+0x155/0x1bc
Dec 10 12:12:21 goauld kernel:  [<ffffffff802617fd>] _read_unlock_irq+0x9/0x10
Dec 10 12:12:21 goauld kernel:  [<ffffffff8865239d>]
:nfs:nfs_atomic_lookup+0x4b/0x18a
Dec 10 12:12:21 goauld kernel:  [<ffffffff8020cfc1>] do_lookup+0xce/0x1c3
Dec 10 12:12:21 goauld kernel:  [<ffffffff8020a347>] __link_path_walk+0xa1d/0xf62
Dec 10 12:12:21 goauld kernel:  [<ffffffff8020e906>] link_path_walk+0x5c/0xe5
Dec 10 12:12:21 goauld kernel:  [<ffffffff8020cd73>] do_path_lookup+0x274/0x2f0
Dec 10 12:12:21 goauld kernel:  [<ffffffff80212701>] getname+0x15b/0x1c1
Dec 10 12:12:21 goauld kernel:  [<ffffffff80223b22>] __user_walk_fd+0x37/0x4c
Dec 10 12:12:21 goauld kernel:  [<ffffffff80228a9a>] vfs_stat_fd+0x1b/0x4a
Dec 10 12:12:21 goauld kernel:  [<ffffffff80223889>] sys_newstat+0x19/0x31
Dec 10 12:12:21 goauld kernel:  [<ffffffff8025d4a6>] system_call+0x86/0x8b
Dec 10 12:12:21 goauld kernel:  [<ffffffff8025d420>] system_call+0x0/0x8b
Dec 10 12:12:21 goauld kernel: 
Dec 10 12:12:21 goauld kernel: 
Dec 10 12:12:21 goauld kernel: Code: 0f 0b 68 e4 a5 4b 88 c2 30 00 48 8b 02 48
85 c0 75 d4 49 8d 
Dec 10 12:12:21 goauld kernel: RIP  [<ffffffff884b79d0>]
:cachefiles:cachefiles_walk_to_object+0x837/0xb13
Dec 10 12:12:21 goauld kernel:  RSP <ffff88005903f968>
Dec 10 12:12:43 goauld kernel:  <0>BUG: rwlock cpu recursion on CPU#0,
rhythmbox/11631, ffff8800721b3ed0 (Not tainted)
Dec 10 12:12:43 goauld kernel: 
Dec 10 12:12:43 goauld kernel: Call Trace:
Dec 10 12:12:43 goauld kernel:  [<ffffffff8022f39d>] _raw_write_lock+0x58/0x83
Dec 10 12:12:43 goauld kernel:  [<ffffffff884b79a7>]
:cachefiles:cachefiles_walk_to_object+0x80e/0xb13
Dec 10 12:12:43 goauld kernel:  [<ffffffff884b4352>]
:cachefiles:cachefiles_lookup_object+0x226/0x326
Dec 10 12:12:43 goauld kernel:  [<ffffffff884a52f0>]
:fscache:fscache_lookup_object+0xf8/0x19a
Dec 10 12:12:43 goauld kernel:  [<ffffffff884a5b7e>]
:fscache:__fscache_acquire_cookie+0x1ac/0x204
Dec 10 12:12:43 goauld kernel:  [<ffffffff88654d6a>] :nfs:nfs_fhget+0x323/0x3ea
Dec 10 12:12:43 goauld kernel:  [<ffffffff88664c7f>]
:nfs:nfs4_opendata_to_nfs4_state+0x2e/0x73
Dec 10 12:12:43 goauld kernel:  [<ffffffff88664d90>] :nfs:nfs4_do_open+0xcc/0x19f
Dec 10 12:12:43 goauld kernel:  [<ffffffff8866624d>]
:nfs:nfs4_atomic_open+0xb3/0x136
Dec 10 12:12:43 goauld kernel:  [<ffffffff80307912>] inode_has_perm+0x56/0x63
Dec 10 12:12:43 goauld kernel:  [<ffffffff8020b982>] __might_sleep+0x26/0xc6
Dec 10 12:12:43 goauld kernel:  [<ffffffff88652445>]
:nfs:nfs_atomic_lookup+0xf3/0x18a
Dec 10 12:12:43 goauld kernel:  [<ffffffff802376df>] __lookup_hash+0xfb/0x11f
Dec 10 12:12:43 goauld kernel:  [<ffffffff8021a8d1>] open_namei+0xf6/0x6da
Dec 10 12:12:43 goauld kernel:  [<ffffffff80227776>] do_filp_open+0x1c/0x38
Dec 10 12:12:43 goauld kernel:  [<ffffffff80215d23>] get_unused_fd+0xf9/0x107
Dec 10 12:12:43 goauld kernel:  [<ffffffff802195ca>] do_sys_open+0x44/0xbe
Dec 10 12:12:43 goauld kernel:  [<ffffffff8025d4a6>] system_call+0x86/0x8b
Dec 10 12:12:43 goauld kernel:  [<ffffffff8025d420>] system_call+0x0/0x8b
Dec 10 12:12:43 goauld kernel: 
Dec 10 12:12:52 goauld kernel: BUG: soft lockup detected on CPU#0!
Dec 10 12:12:52 goauld kernel: 
Dec 10 12:12:52 goauld kernel: Call Trace:
Dec 10 12:12:52 goauld kernel:  <IRQ>  [<ffffffff802a933f>]
softlockup_tick+0xdb/0xf6
Dec 10 12:12:52 goauld kernel:  [<ffffffff8026ca6e>] timer_interrupt+0x38a/0x3d8
Dec 10 12:12:52 goauld kernel:  [<ffffffff80210ea0>] handle_IRQ_event+0x2d/0x60
Dec 10 12:12:52 goauld kernel:  [<ffffffff802a9688>] __do_IRQ+0xa5/0x107
Dec 10 12:12:52 goauld kernel:  [<ffffffff80288b80>] _local_bh_enable+0x78/0xe6
Dec 10 12:12:52 goauld kernel:  [<ffffffff8026a98e>] do_IRQ+0xe7/0xf5
Dec 10 12:12:52 goauld kernel:  [<ffffffff8038f890>] evtchn_do_upcall+0x86/0xe0
Dec 10 12:12:52 goauld kernel:  [<ffffffff8025dc72>]
do_hypervisor_callback+0x1e/0x2c
Dec 10 12:12:52 goauld kernel:  <EOI>  [<ffffffff8025f011>]
__write_lock_failed+0x9/0x20
Dec 10 12:12:52 goauld kernel:  [<ffffffff8022f3ae>] _raw_write_lock+0x69/0x83
Dec 10 12:12:52 goauld kernel:  [<ffffffff884b79a7>]
:cachefiles:cachefiles_walk_to_object+0x80e/0xb13
Dec 10 12:12:52 goauld kernel:  [<ffffffff884b4352>]
:cachefiles:cachefiles_lookup_object+0x226/0x326
Dec 10 12:12:52 goauld kernel:  [<ffffffff884a52f0>]
:fscache:fscache_lookup_object+0xf8/0x19a
Dec 10 12:12:52 goauld kernel:  [<ffffffff884a5b7e>]
:fscache:__fscache_acquire_cookie+0x1ac/0x204
Dec 10 12:12:52 goauld kernel:  [<ffffffff88654d6a>] :nfs:nfs_fhget+0x323/0x3ea
Dec 10 12:12:52 goauld kernel:  [<ffffffff88664c7f>]
:nfs:nfs4_opendata_to_nfs4_state+0x2e/0x73
Dec 10 12:12:52 goauld kernel:  [<ffffffff88664d90>] :nfs:nfs4_do_open+0xcc/0x19f
Dec 10 12:12:52 goauld kernel:  [<ffffffff8866624d>]
:nfs:nfs4_atomic_open+0xb3/0x136
Dec 10 12:12:52 goauld kernel:  [<ffffffff80307912>] inode_has_perm+0x56/0x63
Dec 10 12:12:52 goauld kernel:  [<ffffffff8020b982>] __might_sleep+0x26/0xc6
Dec 10 12:12:52 goauld kernel:  [<ffffffff88652445>]
:nfs:nfs_atomic_lookup+0xf3/0x18a
Dec 10 12:12:52 goauld kernel:  [<ffffffff802376df>] __lookup_hash+0xfb/0x11f
Dec 10 12:12:52 goauld kernel:  [<ffffffff8021a8d1>] open_namei+0xf6/0x6da
Dec 10 12:12:52 goauld kernel:  [<ffffffff80227776>] do_filp_open+0x1c/0x38
Dec 10 12:12:52 goauld kernel:  [<ffffffff80215d23>] get_unused_fd+0xf9/0x107
Dec 10 12:12:52 goauld kernel:  [<ffffffff802195ca>] do_sys_open+0x44/0xbe
Dec 10 12:12:52 goauld kernel:  [<ffffffff8025d4a6>] system_call+0x86/0x8b
Dec 10 12:12:52 goauld kernel:  [<ffffffff8025d420>] system_call+0x0/0x8b
Dec 10 12:12:52 goauld kernel: 
Comment 3 Jon Stanley 2007-12-31 16:54:26 EST
Reassigning this to RHEL4 kernel instead of FC6.
Comment 4 Jeff Layton 2008-01-04 14:29:54 EST
Not sure why this was moved to a RHEL4 kernel bug. All of the oopses seem to be
from FC6 kernels, and RHEL4 doesn't have any sort of cachefs. I'd be interested
to know if this is reproducible on a more recent kernel, but not sure whether
cachefs is in shape enough there to be usable...
Comment 5 Jon Stanley 2008-01-04 14:42:50 EST
Oops, I just read the text of the bug and not the oopses - my bad.  The text
says CentOS 4.4.  That'll teach me not to believe everything I read next time! :)

However, FC6 has reached end-of-life.  Please re-try this on F7 or F8.
Comment 6 Jon Stanley 2008-01-07 20:54:44 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 7 Jon Stanley 2008-02-07 23:27:50 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.